QGIS Application - Bug report #21128
Running QGIS3 first time after fresh install resulting in path error(s)
2019-01-30 10:52 AM - Rene Wubs

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:3.4.4 Regression?: No

Operating System: Windows 10 64 Easy fix?: No

Pull Request or Patch supplied: Resolution: not reproducable
Crashes QGIS or corrupls data: Copied to github as #: 28946
Description

AFter a fresh install, running QGIS 3.4 for the first time gives an error and the program will not start.
The first message show a box:

qgis-bin.exe - Toegangspunt niet gevonden

Kan toegangspunt van procedure

?2?0QColor@@QEAA@SSQEAVO@@Z niet vinden in

DLL-bestand C:\PROGRA~1\QGIS3~1,4\apps\qt5\bin\qwt6.dll

Followed by 5 consecutive boxes with similar errors.

| had this problem also with version 3.2x. Didn't find a solution and reverted back to version 2.

History

#1 - 2019-01-30 11:18 AM - Giovanni Manghi
- Subject changed from Running QGis 3.44 first time after fresh install resulting in path error(s) to Running QGIS3 first time after fresh install resulting in
path error(s)

- Status changed from Open to Feedback

Likely to be a local issue. Have you tried doing a cleanup of the registry entries for QGIS?

#2 - 2019-01-30 11:51 AM - Jiirgen Fischer

Rene Wubs wrote:

Kan toegangspunt van procedure
?20QColor@QEAA@SSQEAVO@Z niet vinden in
DLL-bestand C:\PROGRA~1\QGIS3~1,4\apps\qt5\bin\qwt6.dll

Follow the procedure in #19061-16 to diagnose - you probably have DLLs in system32, which shouldn't be there.

#3 - 2019-01-30 11:53 AM - Jiirgen Fischer
- Description updated
#4 - 2019-01-30 12:26 PM - Rene Wubs
Thanks Giovanni and Juergen,

I will follow the suggested procedure and | will clean up the registry.
That will happen probably next week. | will report back.

#5 - 2019-02-18 12:53 AM - Rene Wubs

Hi there,

I have tried to clean up my registry, and removed all keys related to QGIS. But it didn't make a difference. Version 3 didn't want to be installed. | took a look
at the system32 folder, and i quickly decided that it was a road | didn't want to go. Too much work for a non-specialist. So | installed version 3 at my pc at
home. No fuss... | cannot afford to put more effort in this matter.

The reason | wanted to upgrade was because of a DXF export that seamed to lose information during the export. For this, | may add a bug report later...
Cheers!

Rene

#6 - 2019-02-18 02:19 PM - Giovanni Manghi
- Resolution set to not reproducable
- Status changed from Feedback to Closed
